package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface ISysUserService extends IService<SysUser> {
    Result loginMultilevel(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result add(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest,SysUser user);

    Result list(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result findPhone(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);


    //pc端
    Result listPc(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result editState(HttpServletRequest httpServletRequest,SysUser user);

    Result listPc2(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result findUserAccount(String searchStr, int pageNum, int pageSize, Long userId);

    Result add(SysUser sysUser, Integer userId);

    Result setAccountStatus(List<Integer> ids, Integer status);

    List<Long> getAllChildId(Long userId);

    Result listSubordinate(String searchStr, int pageNum, int pageSize, Long userId);

    Result getLastFarmId(Integer userId);

    Result loginMultilevelClient(String accountName, String password);
}
